/purchase-cancel-refund-request
Requests a refund for a completed purchase. This will collect the refund after the refund time.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://loading/./../api/v1/purchase/cancel-refund-request" \ -H "Content-Type: application/json" \ -d '{ "network": "Preprod", "blockchainIdentifier": "blockchain_identifier" }'{
"status": "success",
"data": {
"id": "cuid_v2_auto_generated",
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.260Z",
"blockchainIdentifier": "blockchain_identifier",
"lastCheckedAt": null,
"submitResultTime": "0",
"unlockTime": "0",
"externalDisputeUnlockTime": "0",
"payByTime": null,
"requestedById": "requester_id",
"resultHash": "",
"onChainState": null,
"NextAction": {
"requestedAction": "FundsLockingRequested",
"errorType": null,
"errorNote": null
},
"CurrentTransaction": null,
"PaidFunds": [
{
"amount": "10000000",
"unit": ""
}
],
"PaymentSource": {
"id": "payment_source_id",
"policyId": "policy_id",
"network": "Preprod",
"smartContractAddress": "address",
"paymentType": "Web3CardanoV1"
},
"SellerWallet": null,
"SmartContractWallet": null,
"metadata": null,
"WithdrawnForSeller": [],
"WithdrawnForBuyer": []
}
}Empty
Empty
Empty



